package com.trade.service.trade.exportrebate.dto.search;

import com.trade.common.core.page.PageDomain;

/**
 * B端退税进货明细查询条件
 */
public class TaxRebatePurchaseAbstractInfoSearchDto extends PageDomain {

    /**
     * 申报年月(所属期）（yyyyMM）
     */
    private String declarationMonthYear;
    /**
     * 申报批次
     */
    private String declarationBatch;
    /**
     * 采购订单号
     */
    private String purchaseOrderNo;
    /**
     * 发票号
     */
    private String purchaseVoucherNo;
    /**
     * 供货方纳税人识别号（客户税号）
     */
    private String vendorTaxNo;
    /**
     * 代理公司统一社会信用代码/注册号
     */
    private String agencyCertNo;
    /**
     * 代理公司名称
     */
    private String agencyName;
    /**
     * 客户企业名称
     */
    private String enterpriseName;
    /**
     * 退税状态，枚举rebate_process_status
     */
    private String status;

    public String getDeclarationMonthYear() {
        return declarationMonthYear;
    }

    public void setDeclarationMonthYear(String declarationMonthYear) {
        this.declarationMonthYear = declarationMonthYear;
    }

    public String getDeclarationBatch() {
        return declarationBatch;
    }

    public void setDeclarationBatch(String declarationBatch) {
        this.declarationBatch = declarationBatch;
    }

    public String getPurchaseOrderNo() {
        return purchaseOrderNo;
    }

    public void setPurchaseOrderNo(String purchaseOrderNo) {
        this.purchaseOrderNo = purchaseOrderNo;
    }

    public String getPurchaseVoucherNo() {
        return purchaseVoucherNo;
    }

    public void setPurchaseVoucherNo(String purchaseVoucherNo) {
        this.purchaseVoucherNo = purchaseVoucherNo;
    }

    public String getVendorTaxNo() {
        return vendorTaxNo;
    }

    public void setVendorTaxNo(String vendorTaxNo) {
        this.vendorTaxNo = vendorTaxNo;
    }

    public String getAgencyCertNo() {
        return agencyCertNo;
    }

    public void setAgencyCertNo(String agencyCertNo) {
        this.agencyCertNo = agencyCertNo;
    }

    public String getAgencyName() {
        return agencyName;
    }

    public void setAgencyName(String agencyName) {
        this.agencyName = agencyName;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
